Bug 169043 - Add CONFLICTS_INSTALL=fusefs-ntfs to sysutils/ntfsprogs/Makefile
Add CONFLICTS_INSTALL=fusefs-ntfs to sysutils/ntfsprogs/Makefile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 22:40 UTC by jhs
Modified: 2012-08-30 01:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (415 bytes, patch)
2012-06-13 22:40 UTC, jhs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhs 2012-06-13 22:40:08 UTC
	Please add to:
		sysutils/ntfsprogs/Makefile
	This:
		CONFLICTS_INSTALL=	fusefs-ntfs-*
	To match:
		ports/sysutils/fusefs-ntfs/Makefile
	with:
		CONFLICTS_INSTALL=      ntfsprogs-*

Fix: Apply diff -c patch (copy below & at URL:
http://berklix.com/~jhs/src/bsd/fixes/FreeBSD/ports/gen/sysutils/ntfsprogs/
-------
How-To-Repeat: 	Observe clashing deliverables:
	cd /pub/FreeBSD/branches/-current/ports/sysutils
	cat fusefs-ntfs/pkg-plist ntfsprogs/pkg-plist | sort | uniq -d
		bin/ntfscat
		bin/ntfscluster
		bin/ntfscmp
		bin/ntfsfix
		bin/ntfsinfo
		bin/ntfsls
		sbin/mkntfs
		sbin/ntfsclone
		sbin/ntfscp
		sbin/ntfslabel
		sbin/ntfsresize
		sbin/ntfsundelete
Comment 1 Edwin Groothuis freebsd_committer 2012-06-14 01:13:33 UTC
Maintainer of sysutils/ntfsprogs,

Please note that PR ports/169043 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169043

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-14 01:13:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 faust64 2012-06-16 22:34:08 UTC
Indeed, I'm aware of that problem.
Thanks for your patch!

Still, since every lib and "interesting stuff" (ntfs resize, format, 
....) have now been sucked up into fuse-ntfs port, I'm not sure how to 
proceed, but wouldn't it be wiser to remove ntfsprogs from ports tree?

Do you know who should I contact about this?
Maybe a thread on questions@?

Thanks,

Regards.
Comment 4 scheidell freebsd_committer 2012-07-09 00:55:38 UTC
>
> Do you know who should I contact about this?
> Maybe a thread on questions@?
ports@.. but as the maintainer, you can request it to be removed.

just reply back to pr (to bug-followup@freebsd.org) and ask that 
sysutils/ntfsprogs be deleted.



-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 bryan 2012-08-27 15:44:15 UTC
Maintainer submitted ports/170229 to address
Comment 6 Bryan Drewery freebsd_committer 2012-08-29 21:07:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 7 dfilter freebsd_committer 2012-08-30 01:29:58 UTC
Author: bdrewery
Date: Thu Aug 30 00:29:49 2012
New Revision: 303355
URL: http://svn.freebsd.org/changeset/ports/303355

Log:
  - Add conflicts with sysutils/fusefs-ntfs [1][2]
  - Reset maintainership per private request
  - Convert to new options framework
  - Remove ABI version from LIB_DEPENDS
  - Add LICENSE (GPL2)
  - Update to working WWW
  
  PR:		ports/169043 [1], ports/170229 [2]
  Submitted by:	"Julian H. Stacey" <jhs@berklix.com> [1]
  Approved by:	Samuel Martin Moro <faust64@gmail.com> (maintainer)
  Approved by:	eadler (mentor)

Modified:
  head/sysutils/ntfsprogs/Makefile
  head/sysutils/ntfsprogs/pkg-descr

Modified: head/sysutils/ntfsprogs/Makefile
==============================================================================
--- head/sysutils/ntfsprogs/Makefile	Wed Aug 29 22:48:55 2012	(r303354)
+++ head/sysutils/ntfsprogs/Makefile	Thu Aug 30 00:29:49 2012	(r303355)
@@ -11,11 +11,15 @@ PORTREVISION=	2
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/linux-ntfs/NTFS%20Tools%20and%20Library/${PORTVERSION}
 
-MAINTAINER=	faust64@gmail.com
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Utilities and library to manipulate NTFS partitions
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	fusefs-libs>2.5:${PORTSDIR}/sysutils/fusefs-libs
 
+CONFLICTS_INSTALL=	fusefs-ntfs-*
+
 USE_GNOME=	pkgconfig
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
@@ -23,10 +27,13 @@ GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-OPTIONS=	GNOMEVFS2 "Install GnomeVFS 2.0 libntfs interface" off \
-		LOCK "Lock the device when mounting (avoids access)" on \
-		UBLIO "Enable user space cache for improved speed" on \
-		UUID "Generate DCE compliant UUIDs" off
+OPTIONS_DEFINE=	GNOMEVFS2 LOCK UBLIO UUID
+OPTIONS_DEFAULT=LOCK UBLIO
+
+GNOMEVFS2_DESC=	Install GnomeVFS 2.0 libntfs interface
+LOCK_DESC=	Lock the device when mounting (avoids access)
+UBLIO_DESC=	Enable user space cache for improved speed
+UUID_DESC=	Generate DCE compliant UUIDs
 
 MAN8=	libntfs.8 libntfs-gnomevfs.8 mkntfs.8 \
 	ntfscat.8 ntfsclone.8 ntfscluster.8 ntfscmp.8 \
@@ -42,7 +49,7 @@ SUB_FILES=	pkg-message
 CFLAGS:=	${CFLAGS:C/-O.?/-O0/g}
 .endif
 
-.if defined(WITH_GNOMEVFS2)
+.if ${PORT_OPTIONS:MGNOMEVFS2}
 CONFIGURE_ARGS+=--enable-gnome-vfs
 USE_GNOME=	gnomevfs2
 PLIST_SUB+=	GNOMEVFS2=""
@@ -51,19 +58,19 @@ CONFIGURE_ARGS+=--disable-gnome-vfs
 PLIST_SUB+=	GNOMEVFS2="@comment "
 .endif
 
-.if defined(WITH_LOCK)
+.if ${PORT_OPTIONS:MLOCK}
 CFLAGS+=	-DUSE_LOCK
 .endif
 
-.if defined(WITH_UUID)
-LIB_DEPENDS+=	uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid
+.if ${PORT_OPTIONS:MUUID}
+LIB_DEPENDS+=	uuid:${PORTSDIR}/misc/e2fsprogs-libuuid
 CONFIGURE_ARGS+=--enable-uuid
 .else
 CONFIGURE_ARGS+=--disable-uuid
 .endif
 
-.if defined(WITH_UBLIO)
-LIB_DEPENDS+=	ublio.1:${PORTSDIR}/devel/libublio
+.if ${PORT_OPTIONS:MUBLIO}
+LIB_DEPENDS+=	ublio:${PORTSDIR}/devel/libublio
 CFLAGS+=	-DUSE_UBLIO
 .else
 pre-everything::
@@ -72,7 +79,7 @@ pre-everything::
 	@${ECHO_MSG}
 .endif
 
-.if defined(WITH_UBLIO)
+.if ${PORT_OPTIONS:MUBLIO}
 post-patch:
 	@${REINPLACE_CMD} -e 's|^libntfs_la_LIBADD =|& -lublio|' \
 		${WRKSRC}/libntfs/Makefile.in

Modified: head/sysutils/ntfsprogs/pkg-descr
==============================================================================
--- head/sysutils/ntfsprogs/pkg-descr	Wed Aug 29 22:48:55 2012	(r303354)
+++ head/sysutils/ntfsprogs/pkg-descr	Thu Aug 30 00:29:49 2012	(r303355)
@@ -9,4 +9,4 @@ ntfsprogs: various tools for managing nt
            ntfsclone, ntfsfix, ntfsundelete, ntfswipe and ntfsdecrypt.
 
 
-WWW: http://www.linux-ntfs.org/
+WWW: https://sourceforge.net/projects/linux-ntfs/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Bryan Drewery freebsd_committer 2012-08-30 01:30:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!